Recruiter
Everything you can see about one role
Use before drafting about role. roleId from listRecruiterRoles. When pitch.outreachTemplates not empty, base outreach on them; keep their wording and facts. When company.confidentialSearch true, candidate-facing copy names employer only as company.anonymizedName. pipeline.mySubmissions and summary.myRole.submissions are not agency totals.
Required scopes: roles:read.
GET
/
recruiter
/
roles
/
{roleId}
Everything you can see about one role
curl --request GET \
--url https://external-api.paraform.com/api/external/v1/recruiter/roles/{roleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://external-api.paraform.com/api/external/v1/recruiter/roles/{roleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external-api.paraform.com/api/external/v1/recruiter/roles/{roleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external-api.paraform.com/api/external/v1/recruiter/roles/{roleId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external-api.paraform.com/api/external/v1/recruiter/roles/{roleId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://external-api.paraform.com/api/external/v1/recruiter/roles/{roleId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://external-api.paraform.com/api/external/v1/recruiter/roles/{roleId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"summary": {
"id": "<string>",
"name": "<string>",
"postedAt": "<string>",
"urls": {
"browse": "<string>",
"recruit": "<string>"
},
"company": {
"name": "<string>",
"confidentialSearch": true,
"anonymizedName": "<string>",
"oneLiner": "<string>",
"industries": [
"<string>"
],
"size": 123
},
"locations": [
"<string>"
],
"workplaceType": "<string>",
"roleTypes": [
"<string>"
],
"techStack": [
"<string>"
],
"visaText": "<string>",
"compensation": {
"salaryLowerBound": 123,
"salaryUpperBound": 123,
"currency": "<string>",
"equity": "<string>"
},
"experience": {
"yearsMin": 123,
"yearsMax": 123
},
"fee": {
"amountLowerBound": 123,
"percentOfSalary": 123,
"boostPercent": 123,
"bonusAmount": 123,
"firstSubmissionReward": 123
},
"pipeline": {
"totalApplications": 123,
"totalInterviewing": 123,
"totalHired": 123,
"openingsText": "<string>"
},
"myRole": {
"isApproved": true,
"isPrimary": true,
"accessLevel": "<string>",
"approvalStatus": "<string>",
"submissions": {
"submitted": 123,
"interviewing": 123,
"hired": 123,
"total": 123
},
"trial": {
"endsAt": "<string>",
"businessDaysLeft": 123,
"submissionGoal": 123,
"submissionsCounted": 123,
"isActive": true,
"endingSoon": true
}
},
"recruiterAccess": {
"atMaxCapacity": true,
"notAcceptingRecruiters": true,
"density": "<string>"
},
"hiringManager": {
"lastActiveAt": "<string>",
"responsivenessDays": 123,
"engagement": {
"finalRating": 123,
"percentileRank": 123
}
}
},
"about": {
"description": "<string>",
"responsibilities": [
"<string>"
],
"experience": "<string>",
"positionExplanation": "<string>",
"hiringGoals": "<string>",
"salaryDetail": "<string>"
},
"requirements": [
{
"description": "<string>",
"explanation": "<string>",
"type": "<string>"
}
],
"candidateTraits": [
"<string>"
],
"avoidTraits": [
"<string>"
],
"hiringManagerQuestions": [
{
"question": "<string>",
"explanation": "<string>",
"optional": true,
"recruiterOnly": true,
"priority": "<string>"
}
],
"interviewProcess": [
{
"name": "<string>",
"description": "<string>"
}
],
"pitch": {
"sellingPoints": [
{
"title": "<string>",
"description": "<string>"
}
],
"recruitingAdvice": "<string>",
"hiringManagerTip": "<string>",
"outreachGuidelines": "<string>",
"outreachHighlights": [
"<string>"
],
"outreachResponsibilities": "<string>",
"recruiterSellingPoints": "<string>",
"candidateSellingPoints": "<string>",
"outreachTemplates": [
{
"name": "<string>",
"subject": "<string>",
"body": "<string>"
}
],
"targetCompanies": {
"description": "<string>",
"goodFitCategories": [
"<string>"
]
},
"avoidCompanies": {
"badFitCategories": [
"<string>"
]
},
"calibrationProfiles": [
{
"label": "<string>",
"note": "<string>"
}
],
"faqs": [
{
"question": "<string>",
"answer": "<string>"
}
],
"announcements": [
{
"message": "<string>",
"createdAt": "<string>"
}
]
},
"company": {
"name": "<string>",
"confidentialSearch": true,
"anonymizedName": "<string>",
"description": "<string>",
"teamAbout": "<string>",
"websiteUrl": "<string>",
"foundingYear": 123,
"fundingAmount": "<string>",
"totalFundingAmount": "<string>",
"lastFundingRound": "<string>",
"benefits": [
"<string>"
],
"cultureValues": [
"<string>"
]
},
"pipeline": {
"stageCounts": [
{
"stage": "<string>",
"count": 123
}
],
"mySubmissions": [
{
"candidateName": "<string>",
"currentStatus": "<string>",
"furthestStageReached": "<string>",
"rejectionReason": "<string>",
"statusUpdateMessage": "<string>"
}
],
"rejectionPatterns": [
{
"category": "<string>",
"furthestStage": "<string>",
"reason": "<string>"
}
]
}
}Authorizations
Path Parameters
Response
200 - application/json
Success
⌘I
Everything you can see about one role
curl --request GET \
--url https://external-api.paraform.com/api/external/v1/recruiter/roles/{roleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://external-api.paraform.com/api/external/v1/recruiter/roles/{roleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external-api.paraform.com/api/external/v1/recruiter/roles/{roleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external-api.paraform.com/api/external/v1/recruiter/roles/{roleId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external-api.paraform.com/api/external/v1/recruiter/roles/{roleId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://external-api.paraform.com/api/external/v1/recruiter/roles/{roleId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://external-api.paraform.com/api/external/v1/recruiter/roles/{roleId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"summary": {
"id": "<string>",
"name": "<string>",
"postedAt": "<string>",
"urls": {
"browse": "<string>",
"recruit": "<string>"
},
"company": {
"name": "<string>",
"confidentialSearch": true,
"anonymizedName": "<string>",
"oneLiner": "<string>",
"industries": [
"<string>"
],
"size": 123
},
"locations": [
"<string>"
],
"workplaceType": "<string>",
"roleTypes": [
"<string>"
],
"techStack": [
"<string>"
],
"visaText": "<string>",
"compensation": {
"salaryLowerBound": 123,
"salaryUpperBound": 123,
"currency": "<string>",
"equity": "<string>"
},
"experience": {
"yearsMin": 123,
"yearsMax": 123
},
"fee": {
"amountLowerBound": 123,
"percentOfSalary": 123,
"boostPercent": 123,
"bonusAmount": 123,
"firstSubmissionReward": 123
},
"pipeline": {
"totalApplications": 123,
"totalInterviewing": 123,
"totalHired": 123,
"openingsText": "<string>"
},
"myRole": {
"isApproved": true,
"isPrimary": true,
"accessLevel": "<string>",
"approvalStatus": "<string>",
"submissions": {
"submitted": 123,
"interviewing": 123,
"hired": 123,
"total": 123
},
"trial": {
"endsAt": "<string>",
"businessDaysLeft": 123,
"submissionGoal": 123,
"submissionsCounted": 123,
"isActive": true,
"endingSoon": true
}
},
"recruiterAccess": {
"atMaxCapacity": true,
"notAcceptingRecruiters": true,
"density": "<string>"
},
"hiringManager": {
"lastActiveAt": "<string>",
"responsivenessDays": 123,
"engagement": {
"finalRating": 123,
"percentileRank": 123
}
}
},
"about": {
"description": "<string>",
"responsibilities": [
"<string>"
],
"experience": "<string>",
"positionExplanation": "<string>",
"hiringGoals": "<string>",
"salaryDetail": "<string>"
},
"requirements": [
{
"description": "<string>",
"explanation": "<string>",
"type": "<string>"
}
],
"candidateTraits": [
"<string>"
],
"avoidTraits": [
"<string>"
],
"hiringManagerQuestions": [
{
"question": "<string>",
"explanation": "<string>",
"optional": true,
"recruiterOnly": true,
"priority": "<string>"
}
],
"interviewProcess": [
{
"name": "<string>",
"description": "<string>"
}
],
"pitch": {
"sellingPoints": [
{
"title": "<string>",
"description": "<string>"
}
],
"recruitingAdvice": "<string>",
"hiringManagerTip": "<string>",
"outreachGuidelines": "<string>",
"outreachHighlights": [
"<string>"
],
"outreachResponsibilities": "<string>",
"recruiterSellingPoints": "<string>",
"candidateSellingPoints": "<string>",
"outreachTemplates": [
{
"name": "<string>",
"subject": "<string>",
"body": "<string>"
}
],
"targetCompanies": {
"description": "<string>",
"goodFitCategories": [
"<string>"
]
},
"avoidCompanies": {
"badFitCategories": [
"<string>"
]
},
"calibrationProfiles": [
{
"label": "<string>",
"note": "<string>"
}
],
"faqs": [
{
"question": "<string>",
"answer": "<string>"
}
],
"announcements": [
{
"message": "<string>",
"createdAt": "<string>"
}
]
},
"company": {
"name": "<string>",
"confidentialSearch": true,
"anonymizedName": "<string>",
"description": "<string>",
"teamAbout": "<string>",
"websiteUrl": "<string>",
"foundingYear": 123,
"fundingAmount": "<string>",
"totalFundingAmount": "<string>",
"lastFundingRound": "<string>",
"benefits": [
"<string>"
],
"cultureValues": [
"<string>"
]
},
"pipeline": {
"stageCounts": [
{
"stage": "<string>",
"count": 123
}
],
"mySubmissions": [
{
"candidateName": "<string>",
"currentStatus": "<string>",
"furthestStageReached": "<string>",
"rejectionReason": "<string>",
"statusUpdateMessage": "<string>"
}
],
"rejectionPatterns": [
{
"category": "<string>",
"furthestStage": "<string>",
"reason": "<string>"
}
]
}
}